Package com.studica.frc

## Class TitanSmallEncoder

- java.lang.Object
- - com.studica.frc.TitanSmallEncoder

All Implemented Interfaces:
  `edu.wpi.first.wpilibj.CounterBase`

    public class TitanSmallEncoder
    extends java.lang.Object
    implements edu.wpi.first.wpilibj.CounterBase

TitanSmall Encoder class java documentation

### Nested Class Summary

### Nested classes/interfaces inherited from interface edu.wpi.first.wpilibj.CounterBase

`edu.wpi.first.wpilibj.CounterBase.EncodingType`

### Constructor Summary

Constructors
`TitanSmallEncoder​(TitanSmall titan, double distPerTick)` Initialize encoder

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get()`
`boolean` `getDirection()`
`double` `getEncoderDistance()` get encoder distance
`double` `getPeriod()`
`double` `getRaw()` Gets encoder's raw count
`double` `getRPM()` Gets encoder's round per minute
`double` `getSpeed()` Gets encoder's speed
`boolean` `getStopped()`
`void` `reset()`
`void` `setMaxPeriod​(double maxPeriod)`
`void` `setReverseDirection()` Sets encoder direction

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanSmallEncoder

    public TitanSmallEncoder​(TitanSmall titan,
                             double distPerTick)

Initialize encoder

Parameters:
  `titan` - - TitanSmall to be set
  `distPerTick` - - distance per tick value

### Method Detail

#### getEncoderDistance

    public double getEncoderDistance()

get encoder distance

Returns:
  encoder distance

#### getRaw

    public double getRaw()

Gets encoder's raw count

Returns:
  Raw count

#### getRPM

    public double getRPM()

Gets encoder's round per minute

Returns:
  Round per minute

#### getSpeed

    public double getSpeed()

Gets encoder's speed

Returns:
  speed

#### setReverseDirection

    public void setReverseDirection()

Sets encoder direction

#### get

    public int get()

Specified by:
  `get` in interface `edu.wpi.first.wpilibj.CounterBase`

#### reset

    public void reset()

Specified by:
  `reset` in interface `edu.wpi.first.wpilibj.CounterBase`

#### getPeriod

    public double getPeriod()

Specified by:
  `getPeriod` in interface `edu.wpi.first.wpilibj.CounterBase`

#### setMaxPeriod

    public void setMaxPeriod​(double maxPeriod)

Specified by:
  `setMaxPeriod` in interface `edu.wpi.first.wpilibj.CounterBase`

#### getStopped

    public boolean getStopped()

Specified by:
  `getStopped` in interface `edu.wpi.first.wpilibj.CounterBase`

#### getDirection

    public boolean getDirection()

Specified by:
  `getDirection` in interface `edu.wpi.first.wpilibj.CounterBase`